#!/bin/sh
#
#   /etc/init.d/mmtcpfwd.sh: start or stop mmtcpfwd superserver daemon (Mondor)
#

PATH=/bin:/sbin:/usr/bin:/usr/sbin

case "$1" in
  start)
      echo -n "Starting up mmtcpfwd superserver daemon"
	/usr/sbin/mmtcpfwd
      echo "."
    ;;
  stop)
      echo -n "Shutting down mmtcpfwd superserver daemon"
	/usr/bin/killall mmtcpfwd
      echo "."
    ;;
  restart|force-reload)
	/etc/init.d/mmtcpfwd.sh stop
	sleep 10s
	/etc/init.d/mmtcpfwd.sh start
    ;;
  *)
      echo "Usage: /etc/init.d/mmtcpfwd.sh {start|stop|restart|force-reload}"
      exit 1
    ;;
esac

exit 0

